From 31f9b2c06ae731a5cf1fb82b4fd714f6d1e8821e Mon Sep 17 00:00:00 2001
From: ahuston-0 <aliceghuston@gmail.com>
Date: Thu, 4 Jul 2024 01:20:24 -0400
Subject: [PATCH] ping nix version to latest

Signed-off-by: ahuston-0 <aliceghuston@gmail.com>
---
 utils/eval-to-drv.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/utils/eval-to-drv.sh b/utils/eval-to-drv.sh
index 49c8bbb..8841f96 100644
--- a/utils/eval-to-drv.sh
+++ b/utils/eval-to-drv.sh
@@ -1,5 +1,5 @@
 #!/usr/bin/env nix
-#! nix shell nixpkgs#bash nixpkgs#gnugrep --command bash
+#! nix shell nixpkgs#bash nixpkgs#gnugrep nixpkgs#nixVersions.latest --command bash
 
 # diffs each derivation
 
@@ -7,8 +7,9 @@ set -x
 set -v
 set -e
 
-if [ "$#" -ne 2 ]; then
+if [ "$#" -ne 1 ]; then
     echo "$0 (pre|post)"
+    exit 1
 fi
 
 script_path=$(dirname "$(readlink -f $0)")